X2Go Bug report logs - #522
X2Go Client fails to start if started with no cmdline arg

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Thu, 26 Jun 2014 13:20:02 UTC

Severity: grave

Tags: pending

Found in version 4.0.2.1-preview

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#522: X2Go issue (in src:x2goclient) has been marked as pending for release
Reply-To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, 522@bugs.x2go.org
Resent-From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Fri, 27 Jun 2014 08:35:01 +0000
Resent-Message-ID: <handler.522.B522.140385803123627@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 522
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: 
Received: via spool by 522-submit@bugs.x2go.org id=B522.140385803123627
          (code B ref 522); Fri, 27 Jun 2014 08:35:01 +0000
Received: (at 522) by bugs.x2go.org; 27 Jun 2014 08:33:51 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS
	autolearn=ham version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 880A85DB53; Fri, 27 Jun 2014 10:33:50 +0200 (CEST)
From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 522-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 522@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140627083350.880A85DB53@ymir.das-netzwerkteam.de>
Date: Fri, 27 Jun 2014 10:33:50 +0200 (CEST)
tag #522 pending
fixed #522 4.0.2.1
thanks

Hello,

X2Go issue #522 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=093543e

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 093543e62d00d8b0dcfb36798fa48bd8757fb17e
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Fri Jun 27 10:33:43 2014 +0200

    Fix running x2goclient without arguments on Windows. (Fixes: #522).

diff --git a/debian/changelog b/debian/changelog
index 349f8ea..e756295 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -30,6 +30,7 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
     - Check if sound is activated before starting pulse. 
     - Fix starting sshd on Win XP. (Fixes: #421).
     - Fork x2goclient on windows and terminate child processes if x2go client crashed.
+    - Fix running x2goclient without arguments on Windows. (Fixes: #522).
     - Save proxy output in $HOME/S-$SESSION-ID/session.log if debugging is enabled.
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Sep 21 05:28:36 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.